Summary:	musl libc - new standard library to power a new generation of Linux-based devices
Summary(pl.UTF-8):	musl libc - nowa biblioteka standardowa dla urządzeń linuksowych nowej generacji
Name:		musl
Version:	1.1.10
Release:	2
License:	MIT
Group:		Libraries
Source0:	http://www.musl-libc.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	fc30892ee582c91920505bbd0021049f
Patch0:		musl-locale.patch
URL:		http://www.musl-libc.org/
BuildRequires:	gcc >= 5:3.2
BuildRequires:	zlib-devel
Requires:	uname(release) >= 2.6.0
ExclusiveArch:	%{ix86} %{x8664} x32 arm mips microblaze ppc
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/musl
%define		_includedir	%{_prefix}/include/musl
%define		_fortify_cflags	%{nil}
%define		_ssp_cflags	%{nil}

# i386, x86_64, x32, arm, mips, microblaze, ppc
%ifarch x32
%define		musl_arch	x32
%else
%define		musl_arch	%{_target_base_arch}
%endif

%description
musl libc is a new standard library to power a new generation of
Linux-based devices. It is lightweight, fast, simple, free, and
strives to be correct in the sense of standards-conformance and
safety.

musl is an alternative to glibc, uClibc, dietlibc, and klibc.

%description -l pl.UTF-8
musl libc to nowa biblioteka standardowa, przeznaczona do zasilania
urządzeń linuksowych nowej generacji. Jest lekka, szybka, prosta,
wolnodostępna i stara się być poprawna w sensie zgodności ze
standardami i bezpieczeństwa.

musl jest alternatywą dla bibliotek glibc, uClibc, dietlibc i klibc.

%package devel
Summary:	Development files for musl libc
Summary(pl.UTF-8):	Pliki programistyczne biblioteki musl libc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for musl libc.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki musl libc.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--syslibdir=/%{_lib}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}
echo '%{_libdir}' > $RPM_BUILD_ROOT%{_sysconfdir}/ld-musl-%{musl_arch}.path

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT INSTALL README WHATSNEW
%attr(755,root,root) /%{_lib}/ld-musl-%{musl_arch}.so.1
%dir %{_libdir}
%attr(755,root,root) %{_libdir}/libc.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ld-musl-%{musl_arch}.path

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/musl-gcc
%{_libdir}/libc.a
# empty stubs
%{_libdir}/libcrypt.a
%{_libdir}/libdl.a
%{_libdir}/libm.a
%{_libdir}/libpthread.a
%{_libdir}/libresolv.a
%{_libdir}/librt.a
%{_libdir}/libutil.a
%{_libdir}/libxnet.a
# crts
%{_libdir}/Scrt1.o
%{_libdir}/crt*.o
%{_libdir}/rcrt1.o
%{_libdir}/musl-gcc.specs
%{_includedir}
%changelog
* Sun Jun 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/musl.git;a=log;h=master

* Sun Jun 28 2015 Jan Rękorajski <baggins@pld-linux.org> abe77ff
- release 2 (by relup.sh)

* Tue Jun 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 8717f06
- simplified musl_arch setting

* Tue Jun 16 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 437e273
- build on x32, too

* Tue Jun 16 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 29555da
- and one more upstream fix

* Tue Jun 16 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c6997d0
- up to 1.1.10

* Sun Mar 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 71b5741
- new URLs, updated to 0.9.15

* Sun Apr 22 2012 Elan Ruusamäe <glen@pld-linux.org> 360b7f4
- raw, based on mageia src.rpm
  http://mirror.yandex.ru/mageia/distrib/cauldron/SRPMS/core/release/musl-0.8.3-0.1.mga2.src.rpm

